INTERFACE
SUBROUTINE CONGRAD_AD(YDSENS,kmaxit,kiter,pwork,YDCGLWK)
USE PARKIND1,ONLY: JPRB, JPIM
USE CONTROL_VECTORS
TYPE(CONTROL_VECTOR), INTENT(INOUT) :: YDSENS
INTEGER(KIND=JPIM), INTENT(IN) :: kmaxit,kiter
REAL(KIND=JPRB), INTENT(IN) :: pwork(kmaxit+1,4)
TYPE(CONTROL_VECTOR), INTENT(IN) :: YDCGLWK(kmaxit+1)
END SUBROUTINE CONGRAD_AD
END INTERFACE
